using System;

namespace ConsoleApp22
{
    class Program
    {
        static void Main(string[] args)
        {

            string[] ul = Console.ReadLine().Split();

            long N = long.Parse(ul[0]);
            long M = long.Parse(ul[1]);

            long I = (2 * N) + (2 * M) - 4;

            long U = ((N - 2) * (M - 2)) / 2;

            long izl = I + U;

            Console.WriteLine(izl);

            

        }

    }

}